{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.cc_alien.droid_salvaged.attack_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "attack_right": "(query.is_delayed_attacking \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "attack_left": "(query.is_delayed_attacking \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "attack_smash": "(query.is_delayed_attacking \u0026\u0026 query.variant \u003d\u003d 3)"
            },
            {
              "ranged_left": "(query.facing_target_to_range_attack \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "ranged_right": "(query.facing_target_to_range_attack \u0026\u0026 query.variant \u003d\u003d 5)"
            }
          ]
        },
        "attack_right": {
          "animations": [
            "attack_punch_right2"
          ],
          "transitions": [
            {
              "default": "((!query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 !query.facing_target_to_range_attack)"
            },
            {
              "attack_left": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "attack_smash": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 3)"
            },
            {
              "ranged_left": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "ranged_right": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 5)"
            }
          ]
        },
        "attack_left": {
          "animations": [
            "attack_punch_left2"
          ],
          "transitions": [
            {
              "default": "((!query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 !query.facing_target_to_range_attack)"
            },
            {
              "attack_right": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "attack_smash": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 3)"
            },
            {
              "ranged_left": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "ranged_right": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 5)"
            }
          ]
        },
        "attack_smash": {
          "animations": [
            "attack_smash2"
          ],
          "transitions": [
            {
              "default": "((!query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 !query.facing_target_to_range_attack)"
            },
            {
              "attack_right": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "attack_left": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "ranged_left": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "ranged_right": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 5)"
            }
          ]
        },
        "ranged_left": {
          "animations": [
            "attack_fire_left"
          ],
          "transitions": [
            {
              "default": "((!query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 !query.facing_target_to_range_attack)"
            },
            {
              "attack_right": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "attack_left": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "ranged_right": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 5)"
            },
            {
              "attack_smash": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 3)"
            }
          ]
        },
        "ranged_right": {
          "animations": [
            "attack_fire_right"
          ],
          "transitions": [
            {
              "default": "((!query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 !query.facing_target_to_range_attack)"
            },
            {
              "attack_right": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 1)"
            },
            {
              "attack_left": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 2)"
            },
            {
              "ranged_left": "((query.facing_target_to_range_attack \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 4)"
            },
            {
              "attack_smash": "((query.is_delayed_attacking \u0026\u0026 query.all_animations_finished) \u0026\u0026 query.variant \u003d\u003d 3)"
            }
          ]
        }
      }
    },
    "controller.animation.cc_alien.droid_salvaged.move_controller": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "idle"
          ],
          "transitions": [
            {
              "death": "(query.property(\u0027cc_alien:crashed\u0027))"
            },
            {
              "walk": "query.is_moving"
            }
          ]
        },
        "walk": {
          "animations": [
            "walk"
          ],
          "transitions": [
            {
              "death": "(query.property(\u0027cc_alien:crashed\u0027))"
            },
            {
              "default": "(!query.is_moving \u0026\u0026 query.all_animations_finished)"
            },
            {
              "run": "(query.has_target \u0026\u0026 query.all_animations_finished)"
            }
          ]
        },
        "run": {
          "animations": [
            "run"
          ],
          "transitions": [
            {
              "death": "(query.property(\u0027cc_alien:crashed\u0027))"
            },
            {
              "default": "(!query.is_moving \u0026\u0026 query.all_animations_finished)"
            },
            {
              "walk": "(!query.has_target \u0026\u0026 query.all_animations_finished)"
            }
          ]
        },
        "death": {
          "animations": [
            "death"
          ]
        }
      }
    },
    "controller.animation.cc_alien.droid_salvaged.toggle_weapon": {
      "initial_state": "default",
      "states": {
        "default": {
          "animations": [
            "laser"
          ],
          "transitions": [
            {
              "goo": "0"
            }
          ]
        },
        "goo": {
          "animations": [
            "goo"
          ],
          "transitions": [
            {
              "default": "0"
            }
          ]
        }
      }
    }
  }
}